qt6-multimedia (6.10.2-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable QML Ahead-Of-Time (AOT) compilation with qmlcachegen as it
    does not produce deterministic results.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Aug 2026 19:35:15 +0200

qt6-multimedia (6.10.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove depends on sse2-support (Closes: #1144270).

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Aug 2026 20:54:24 +0200

qt6-multimedia (6.10.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove kernel version from build artifacts to ensure reproducible
    builds.
  * Bump Standards-Version to 4.7.4 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 29 May 2026 21:58:39 +0200

qt6-multimedia (6.10.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 19 Mar 2026 20:44:11 +0100

qt6-multimedia (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 15:48:46 +0100

qt6-multimedia (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Feb 2026 23:03:56 +0100

qt6-multimedia (6.9.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 00:03:39 +0100

qt6-multimedia (6.9.2-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Sep 2025 10:31:02 +0200

qt6-multimedia (6.9.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:15:11 +0200

qt6-multimedia (6.9.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 14:11:16 +0200

qt6-multimedia (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Fix missing QML dependencies for qt6-multimedia-examples.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 20:40:37 +0200

qt6-multimedia (6.9.1-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 23:04:55 +0200

qt6-multimedia (6.9.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 13:12:00 +0200

qt6-multimedia (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Aug 2025 18:19:49 +0200

qt6-multimedia (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Remove inactive uploaders, thanks for your work.
  * Install certain private cmake-files.
  * Do not use ccache on hurd.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Aug 2025 21:32:21 +0200

qt6-multimedia (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Refresh patches.
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Aug 2025 18:07:26 +0200

qt6-multimedia (6.8.2-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Mark the dependency to libpipewire-0.3-0t64 as [linux-any] (Closes:
    #1099707).

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Apr 2025 12:54:54 +0200

qt6-multimedia (6.8.2-7) unstable; urgency=medium

  [ Pino Toscano ]
  * Use SSE2 on any i386 OS, not only on Linux.
  * Stop manually passing -DPFFFT_SIMD_DISABLE to the CFLAGS on hurd-i386:
    the build system takes care of that now.
  * Mark more Linux symbols as such.

  [ Patrick Franz ]
  * Add libpipewire-0.3-0t64 as a runtime-dependency to
    libqt6multimedia6 as libqt6multimedia6 is loading libpipewire-0.3-
    0t64 dynamically.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Mar 2025 17:56:44 +0100

qt6-multimedia (6.8.2-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Limit the libpipewire-0.3-dev build dependency as linux-any, as pipewire
    is available only on Linux currently.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 13:09:04 +0100

qt6-multimedia (6.8.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:50:58 +0100

qt6-multimedia (6.8.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Require SSE2 for i386 CPUs as that is now required to compile qt6-
    multimedia.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Feb 2025 12:10:45 +0100

qt6-multimedia (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add the SSE and SSE2 flags for i386 to fix build failures.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Feb 2025 22:37:59 +0100

qt6-multimedia (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Feb 2025 02:19:35 +0100

qt6-multimedia (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Refresh patches.
  * Add libpipewire-0.3-dev to the B-Ds.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 22:21:12 +0100

qt6-multimedia (6.7.2-7) unstable; urgency=medium

  * Team upload.
  * Mark Linux symbols as such.
  * Add qdoc-qt6 as Build-Depends-Indep, as qdoc is needed to build the
    API documentation.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2024 10:11:03 +0100

qt6-multimedia (6.7.2-6) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Ignore QML dependency on QtQuick3DPrivate.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.
  * Move some examples from qt6-multimedia-dev to qt6-multimedia-
    examples.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Nov 2024 11:00:02 +0100

qt6-multimedia (6.7.2-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit e788cc07221b6982e922ccb5ccd77d10e9844671 to fix
    the build of the GStreamer plugin on non-Linux OSes; patch
    upstream_GStreamer-compile-fix-for-non-linux-platforms.patch.
  * Drop the xauth, and xvfb build dependencies, as the tests are not run.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Oct 2024 08:26:38 +0100

qt6-multimedia (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:51:15 +0200

qt6-multimedia (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:22:58 +0200

qt6-multimedia (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 21:55:32 +0200

qt6-multimedia (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Sep 2024 19:32:15 +0200

qt6-multimedia (6.6.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Manually pass -DPFFFT_SIMD_DISABLE to the CFLAGS on hurd-i386: the output
    of "uname -m" on that architecture is not matched by the check that sets
    -DPFFFT_SIMD_DISABLE for 32bit x86 architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 19:22:15 +0200

qt6-multimedia (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTBFS failure on powerpc thx to John Paul Adrian Glaubitz
    (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:13:48 +0200

qt6-multimedia (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:28:51 +0200

qt6-multimedia (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 14:45:18 +0100

qt6-multimedia (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:26:25 +0100

qt6-multimedia (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update build-dependencies.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6multimediaquick6.
  * Update d/copyright.
  * Build with EIGEN_DONT_VECTORIZE on powerpc to fix FTBFS, thx to John
    Paul Adrian Glaubitz (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:05:06 +0100

qt6-multimedia (6.4.2-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to build with system eigen3, thx to Christian Marillat
    (Closes: #1038988).

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 21:23:07 +0200

qt6-multimedia (6.4.2-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 17:53:03 +0200

qt6-multimedia (6.4.2-9) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package for examples.
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 11:43:39 +0200

qt6-multimedia (6.4.2-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Do not install examples (Closes: #1041636).

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jul 2023 18:23:57 +0200

qt6-multimedia (6.4.2-7) unstable; urgency=medium

  * Team upload.
  * Properly spell the "linux-any" architecture marker for the libva-dev build
    dependency, so it actually applies to Linux architectures. This actually
    enables the VA-API support on Linux, as 6.4.2-6 meant to.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jul 2023 07:52:22 +0200

qt6-multimedia (6.4.2-6) unstable; urgency=medium

  * Team upload.
  * Add libva-dev in order to also provide VAAPI support.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Jul 2023 11:53:07 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qt6-multimedia-doc`.
